com.microfocus.awm.model

## Interface ITableViewDirectory

-     public interface ITableViewDirectory

  Interface for the table view directory which manages table views and its element lists. The table view directory contains a map which stores the mapping between a table view secondary id and its contained element lists.

  Secondary IDs are used to open Views multiple times. The secondary ID is defined in the AWM model as attribute of ElementListStructures.

  Author:
    Christelle Biahmou

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IElementList` | `getNextElementList(IElementList pElementList)` Get the element list which follows the given element list.
    `IElementList` | `getPreviousElementList(IElementList pElementList)` Get the element list which precedes the given element list.
    `java.lang.String` | `getTableViewSecondaryId(IElementList pElementList)` Get the secondary id of the table view in which the given element list exists.
    `void` | `removeElementList(IElementList pElementList)` Remove the given element list from the table view where it exists.
    `void` | `removeElementLists()` Clear the table view directory (remove all table views and its element lists).
    `void` | `removeElementLists(java.util.LinkedList<IElementList> pElementLists)` Remove the given element lists from the table views where they exist.
    `void` | `removeElementLists(java.lang.String pTableViewSecondaryId)` Remove the table view (with the giving secondary id) and its element lists from the table view directory.
    `void` | `showList(IElementList pElementList, java.lang.String pTableViewSecondaryId, boolean pActivate)` Show the given element list in the table view with the given secondary id.

- - ### Method Detail

    - #### getPreviousElementList

          IElementList getPreviousElementList(IElementList pElementList)

      Get the element list which precedes the given element list.
      Parameters:
        `pElementList` - the element list.
      Returns:
        the element list which precedes the given element list.
        return`null` for the following reasons.
    - the element list is the first in the corresponding table view.
    - the given element list is null.
    - the given element list cannot be found in any table view.

  - #### getNextElementList

        IElementList getNextElementList(IElementList pElementList)

    Get the element list which follows the given element list.
    Parameters:
      `pElementList` - the element list.
    Returns:
      the element list which follows the given element list.
      return `null` for the following reasons.
  - the element list is the last in the corresponding table view.
  - the given element list is null.
  - the given element list cannot be found in any table view.

- #### removeElementList

      void removeElementList(IElementList pElementList)

  Remove the given element list from the table view where it exists.
  Parameters:
    `pElementList` - the element list to be removed.

- #### removeElementLists

      void removeElementLists(java.util.LinkedList<IElementList> pElementLists)

  Remove the given element lists from the table views where they exist.
  Parameters:
    `pElementLists` - the element lists to be removed.

- #### removeElementLists

      void removeElementLists(java.lang.String pTableViewSecondaryId)

  Remove the table view (with the giving secondary id) and its element lists from the table view directory.
  Parameters:
    `pTableViewSecondaryId` - the secondary id of the table view which element lists will be delete, if `null` all the element lists in the main view will be deleted.

- #### removeElementLists

      void removeElementLists()

  Clear the table view directory (remove all table views and its element lists).

- #### showList

      void showList(IElementList pElementList,
                    java.lang.String pTableViewSecondaryId,
                    boolean pActivate)

  Show the given element list in the table view with the given secondary id.
  Parameters:
    `pElementList` - the element list to show.
    `pTableViewSecondaryId` - the secondary id of the table view in which the given element list will be shown, if `null` the given element list will be shown in the main table view.
    `pActivate` - whether the view will be activate.

- #### getTableViewSecondaryId

      java.lang.String getTableViewSecondaryId(IElementList pElementList)

  Get the secondary id of the table view in which the given element list exists.
  Parameters:
    `pElementList` - the element list.
  Returns:
    the secondary id of the table view in which the element list exists or `null` if the given element list cannot be found in any table view

Copyright © 2015 Micro Focus GmbH. All rights reserved.